#include "chdecl.h"
void CH_disassembler_disqualifier(current, sched, cop)
#define ARGUMENTS 32
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb59;
    case 4: goto c60;
    case 5: goto c64;
    case 6: goto cb65;
    case 7: goto c66;
    case 8: goto c70;
    case 9: goto cb71;
    case 10: goto c72;
    case 11: goto c77;
    case 12: goto c81;
    case 13: goto c92;
    case 14: goto cb156;
    case 15: goto c157;
    case 16: goto c159;
    case 17: goto c171;
    case 18: goto c180;
    case 19: goto cb181;
    case 20: goto c182;
    case 21: goto c186;
    case 22: goto c189;
    case 23: goto c201;
    case 24: goto c210;
    case 25: goto cb211;
    case 26: goto c212;
    case 27: goto c216;
    case 28: goto c219;
    case 29: goto c226;
    case 30: goto c231;
    case 31: goto cb236;
    case 32: goto c237;
    case 33: goto c241;
    case 34: goto c246;
    case 35: goto c256;
    case 36: goto c265;
    case 37: goto cb271;
    case 38: goto c272;
    case 39: goto c277;
    case 40: goto c284;
    case 41: goto cb313;
    case 42: goto c314;
    case 43: goto c316;
    case 44: goto cb320;
    case 45: goto c321;
    case 46: goto c323;
    case 47: goto c396;
    case 48: goto c398;
    case 49: goto cb406;
    case 50: goto c407;
    case 51: goto c409;
    case 52: goto c414;
    case 53: goto c432;
    case 54: goto c436;
    case 55: goto cb447;
    case 56: goto c448;
    case 57: goto c457;
    case 58: goto c461;
    case 59: goto c463;
    case 60: goto c470;
    case 61: goto cb476;
    case 62: goto c477;
    case 63: goto c481;
    case 64: goto cb508;
    case 65: goto c509;
    case 66: goto cb511;
    case 67: goto c512;
    case 68: goto c513;
    case 69: goto cb520;
    case 70: goto c521;
    case 71: goto cb523;
    case 72: goto c524;
    case 73: goto c525;
    case 74: goto c527;
    case 75: goto c532;
    case 76: goto c547;
    case 77: goto c552;
    case 78: goto c588;
    case 79: goto cb591;
    case 80: goto c592;
    case 81: goto c594;
    case 82: goto c603;
    case 83: goto c607;
    case 84: goto c614;
    case 85: goto c622;
    case 86: goto c630;
    case 87: goto c639;
    case 88: goto c640;
    case 89: goto c643;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* new_table 4 , 2 */
  if ((ch_returncode = che_new_table(DEF(4),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* case 5 3.1 */
  REF(5).value.enumeration = REF(3)DOT(1).value.variant->info.variant_case;
  REF(5).tsdr = & dr_enumeration;
/* equal . 5 =(15) , 39 */
  if ( REF(5).value.enumeration == 15 ) goto c39;
/* equal . 5 =(12) , 44 */
  if ( REF(5).value.enumeration == 12 ) goto c44;
/* equal . 5 =(11) , 226 */
  if ( REF(5).value.enumeration == 11 ) goto c226;
/* equal . 5 =(10) , 246 */
  if ( REF(5).value.enumeration == 10 ) goto c246;
/* equal . 5 =(9) , 277 */
  if ( REF(5).value.enumeration == 9 ) goto c277;
/* equal . 5 =(14) , 414 */
  if ( REF(5).value.enumeration == 14 ) goto c414;
/* equal . 5 =(8) , 436 */
  if ( REF(5).value.enumeration == 8 ) goto c436;
/* equal . 5 =(7) , 461 */
  if ( REF(5).value.enumeration == 7 ) goto c461;
/* equal . 5 =(13) , 463 */
  if ( REF(5).value.enumeration == 13 ) goto c463;
/* equal . 5 =(6) , 470 */
  if ( REF(5).value.enumeration == 6 ) goto c470;
/* equal . 5 =(5) , 481 */
  if ( REF(5).value.enumeration == 5 ) goto c481;
/* equal . 5 =(4) , 527 */
  if ( REF(5).value.enumeration == 4 ) goto c527;
/* equal . 5 =(3) , 547 */
  if ( REF(5).value.enumeration == 3 ) goto c547;
/* equal . 5 =(2) , 552 */
  if ( REF(5).value.enumeration == 2 ) goto c552;
/* equal . 5 =(1) , 594 */
  if ( REF(5).value.enumeration == 1 ) goto c594;
/* equal . 5 =(0) , 607 */
  if ( REF(5).value.enumeration == 0 ) goto c607;
/* branch , 603 */
   goto c603;
c39:
/* chs_lit 6 , "attributename qualifiers are unsupported." */
  if( !chs_lit(DEF(6),"attributename qualifiers are unsupported.") )
     goto ch_depletion;
/* print 6 */
  re_print(stderr, 0, DEF(6)); fflush(stderr);
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c44:
/* reveal 3.1 , 12 */
  if (12 != REF(3)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* chs_lit 7 , "table " */
  if( !chs_lit(DEF(7),"table ") ) goto ch_depletion;
/* merge 4 7 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* case 8 3.1.0.0 */
  REF(8).value.enumeration = REF(3)DOT(1)DOT(0)DOT(0).value.variant
    ->info.variant_case;
  REF(8).tsdr = & dr_enumeration;
/* equal . 8 =(9) , 58 */
  if ( REF(8).value.enumeration == 9 ) goto c58;
/* equal . 8 =(2) , 64 */
  if ( REF(8).value.enumeration == 2 ) goto c64;
/* equal . 8 =(1) , 70 */
  if ( REF(8).value.enumeration == 1 ) goto c70;
/* equal . 8 =(0) , 81 */
  if ( REF(8).value.enumeration == 0 ) goto c81;
/* branch , 77 */
   goto c77;
c58:
/* ilit 9 , 9 */
  REF(9).value.integer = 9;
  REF(9).tsdr = & dr_integer;
  current->ip = 3;
cb59:
/* call 3.0.6 9 10 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(6),
          arguments[1] = DEF(9),
          arguments[2] = DEF(10),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c60:
/* merge 4 10 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(10),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 11 , 32 */
  REF(11).value.ord_enum = 32;
  REF(11).tsdr = & dr_ord_enumeration;
/* insert 4 11 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 81 */
   goto c81;
c64:
/* ilit 12 , 2 */
  REF(12).value.integer = 2;
  REF(12).tsdr = & dr_integer;
  current->ip = 6;
cb65:
/* call 3.0.6 12 13 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(6),
          arguments[1] = DEF(12),
          arguments[2] = DEF(13),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c66:
/* merge 4 13 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(13),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 14 , 32 */
  REF(14).value.ord_enum = 32;
  REF(14).tsdr = & dr_ord_enumeration;
/* insert 4 14 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 81 */
   goto c81;
c70:
/* ilit 15 , 1 */
  REF(15).value.integer = 1;
  REF(15).tsdr = & dr_integer;
  current->ip = 9;
cb71:
/* call 3.0.6 15 16 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(6),
          arguments[1] = DEF(15),
          arguments[2] = DEF(16),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c72:
/* merge 4 16 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(16),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 17 , 32 */
  REF(17).value.ord_enum = 32;
  REF(17).tsdr = & dr_ord_enumeration;
/* insert 4 17 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(17),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 81 */
   goto c81;
c77:
/* chs_lit 18 , "Unknown primary rep. in new_table_info." */
  if( !chs_lit(DEF(18),"Unknown primary rep. in new_table_info.") )
     goto ch_depletion;
/* print 18 */
  re_print(stderr, 0, DEF(18)); fflush(stderr);
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c81:
/* case 19 3.1.0.1 */
  REF(19).value.enumeration = REF(3)DOT(1)DOT(0)DOT(1).value.variant
    ->info.variant_case;
  REF(19).tsdr = & dr_enumeration;
/* notequal . 19 =(0) , 607 */
  if ( REF(19).value.enumeration != 0 ) goto c607;
/* reveal 3.1.0.1 , 0 */
  if (0 != REF(3)DOT(1)DOT(0)DOT(1).value.variant->info.variant_case)
     goto ch_case_error;
/* boolean 20 , TRUE */
  REF(20).value.boolean = TRUE;
  REF(20).tsdr = & dr_boolean;
/* ordenum_lit 21 , 40 */
  REF(21).value.ord_enum = 40;
  REF(21).tsdr = & dr_ord_enumeration;
/* insert 4 21 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 22 3.1.0.1.0.0 */
  if((ch_returncode = cp_table(& ch_val, 
    REF(3)DOT(1)DOT(0)DOT(1)DOT(0)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val;
  REF(22).tsdr = & dr_table;
/* initget 23 22 , 0,0 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(23),DEF(22),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c92:
/* get_or_goto 23 22 , 159 */
  if ((ch_returncode = get_selected_object(DEF(23),DEF(22),sched)) != Normal)
     goto c159;
/* branch_false 20 , 97 */
  if ( !REF(20).value.boolean ) goto c97;
/* boolean 20 , FALSE */
  REF(20).value.boolean = FALSE;
  REF(20).tsdr = & dr_boolean;
/* branch , 99 */
   goto c99;
c97:
/* ordenum_lit 24 , 44 */
  REF(24).value.ord_enum = 44;
  REF(24).tsdr = & dr_ord_enumeration;
/* insert 4 24 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(24),FALSE,0)) != Normal)
     goto ch_raise_exception;
c99:
/* case 25 23 */
  REF(25).value.enumeration = REF(23).value.variant->info.variant_case;
  REF(25).tsdr = & dr_enumeration;
/* equal . 25 =(9) , 122 */
  if ( REF(25).value.enumeration == 9 ) goto c122;
/* equal . 25 =(8) , 125 */
  if ( REF(25).value.enumeration == 8 ) goto c125;
/* equal . 25 =(7) , 128 */
  if ( REF(25).value.enumeration == 7 ) goto c128;
/* equal . 25 =(6) , 131 */
  if ( REF(25).value.enumeration == 6 ) goto c131;
/* equal . 25 =(5) , 134 */
  if ( REF(25).value.enumeration == 5 ) goto c134;
/* equal . 25 =(4) , 137 */
  if ( REF(25).value.enumeration == 4 ) goto c137;
/* equal . 25 =(3) , 140 */
  if ( REF(25).value.enumeration == 3 ) goto c140;
/* equal . 25 =(2) , 143 */
  if ( REF(25).value.enumeration == 2 ) goto c143;
/* equal . 25 =(1) , 146 */
  if ( REF(25).value.enumeration == 1 ) goto c146;
/* equal . 25 =(0) , 149 */
  if ( REF(25).value.enumeration == 0 ) goto c149;
/* branch , 152 */
   goto c152;
c122:
/* ilit 26 , 9 */
  REF(26).value.integer = 9;
  REF(26).tsdr = & dr_integer;
/* branch , 156 */
   goto c156;
c125:
/* ilit 26 , 8 */
  REF(26).value.integer = 8;
  REF(26).tsdr = & dr_integer;
/* branch , 156 */
   goto c156;
c128:
/* ilit 26 , 7 */
  REF(26).value.integer = 7;
  REF(26).tsdr = & dr_integer;
/* branch , 156 */
   goto c156;
c131:
/* ilit 26 , 6 */
  REF(26).value.integer = 6;
  REF(26).tsdr = & dr_integer;
/* branch , 156 */
   goto c156;
c134:
/* ilit 26 , 5 */
  REF(26).value.integer = 5;
  REF(26).tsdr = & dr_integer;
/* branch , 156 */
   goto c156;
c137:
/* ilit 26 , 4 */
  REF(26).value.integer = 4;
  REF(26).tsdr = & dr_integer;
/* branch , 156 */
   goto c156;
c140:
/* ilit 26 , 3 */
  REF(26).value.integer = 3;
  REF(26).tsdr = & dr_integer;
/* branch , 156 */
   goto c156;
c143:
/* ilit 26 , 2 */
  REF(26).value.integer = 2;
  REF(26).tsdr = & dr_integer;
/* branch , 156 */
   goto c156;
c146:
/* ilit 26 , 1 */
  REF(26).value.integer = 1;
  REF(26).tsdr = & dr_integer;
/* branch , 156 */
   goto c156;
c149:
/* ilit 26 , 0 */
  REF(26).value.integer = 0;
  REF(26).tsdr = & dr_integer;
/* branch , 156 */
   goto c156;
c152:
/* chs_lit 27 , "Unknown table_rep_type." */
  if( !chs_lit(DEF(27),"Unknown table_rep_type.") ) goto ch_depletion;
/* print 27 */
  re_print(stderr, 0, DEF(27)); fflush(stderr);
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c156:
  current->ip = 14;
cb156:
/* call 3.0.6 26 28 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(6),
          arguments[1] = DEF(26),
          arguments[2] = DEF(28),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c157:
/* merge 4 28 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(28),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 92 */
   goto c92;
c159:
/* endget 23 22 */
  end_selector(DEF(23),DEF(22),sched,GET);
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* ordenum_lit 29 , 41 */
  REF(29).value.ord_enum = 41;
  REF(29).tsdr = & dr_ord_enumeration;
/* insert 4 29 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(29),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 30 , 32 */
  REF(30).value.ord_enum = 32;
  REF(30).tsdr = & dr_ord_enumeration;
/* insert 4 30 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(30),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 31 , 40 */
  REF(31).value.ord_enum = 40;
  REF(31).tsdr = & dr_ord_enumeration;
/* insert 4 31 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(31),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* boolean 20 , TRUE */
  REF(20).value.boolean = TRUE;
  REF(20).tsdr = & dr_boolean;
/* copy 32 3.1.0.1.0.1 */
  if((ch_returncode = cp_table(& ch_val, 
    REF(3)DOT(1)DOT(0)DOT(1)DOT(0)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).value = ch_val;
  REF(32).tsdr = & dr_table;
/* initget 33 32 , 0,0 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(33),DEF(32),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c171:
/* get_or_goto 33 32 , 189 */
  if ((ch_returncode = get_selected_object(DEF(33),DEF(32),sched)) != Normal)
     goto c189;
/* branch_false 20 , 176 */
  if ( !REF(20).value.boolean ) goto c176;
/* boolean 20 , FALSE */
  REF(20).value.boolean = FALSE;
  REF(20).tsdr = & dr_boolean;
/* branch , 178 */
   goto c178;
c176:
/* ordenum_lit 34 , 44 */
  REF(34).value.ord_enum = 44;
  REF(34).tsdr = & dr_ord_enumeration;
/* insert 4 34 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(34),FALSE,0)) != Normal)
     goto ch_raise_exception;
c178:
/* copy 35 33 */
  if((ch_returncode = cp_table(& ch_val, REF(33).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).value = ch_val;
  REF(35).tsdr = & dr_table;
/* initget 36 35 , 0,0 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(36),DEF(35),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c180:
/* get_or_goto 36 35 , 186 */
  if ((ch_returncode = get_selected_object(DEF(36),DEF(35),sched)) != Normal)
     goto c186;
  current->ip = 19;
cb181:
/* call 3.0.4 3.0 36 37 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(36),
          arguments[3] = DEF(37),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c182:
/* merge 4 37 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(37),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 38 , 32 */
  REF(38).value.ord_enum = 32;
  REF(38).tsdr = & dr_ord_enumeration;
/* insert 4 38 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(38),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 180 */
   goto c180;
c186:
/* endget 36 35 */
  end_selector(DEF(36),DEF(35),sched,GET);
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* branch , 171 */
   goto c171;
c189:
/* endget 33 32 */
  end_selector(DEF(33),DEF(32),sched,GET);
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* ordenum_lit 39 , 41 */
  REF(39).value.ord_enum = 41;
  REF(39).tsdr = & dr_ord_enumeration;
/* insert 4 39 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(39),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 40 , 32 */
  REF(40).value.ord_enum = 32;
  REF(40).tsdr = & dr_ord_enumeration;
/* insert 4 40 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(40),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 41 , 40 */
  REF(41).value.ord_enum = 40;
  REF(41).tsdr = & dr_ord_enumeration;
/* insert 4 41 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(41),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* boolean 20 , TRUE */
  REF(20).value.boolean = TRUE;
  REF(20).tsdr = & dr_boolean;
/* copy 42 3.1.0.1.0.2 */
  if((ch_returncode = cp_table(& ch_val, 
    REF(3)DOT(1)DOT(0)DOT(1)DOT(0)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).value = ch_val;
  REF(42).tsdr = & dr_table;
/* initget 43 42 , 0,0 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(43),DEF(42),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c201:
/* get_or_goto 43 42 , 219 */
  if ((ch_returncode = get_selected_object(DEF(43),DEF(42),sched)) != Normal)
     goto c219;
/* branch_false 20 , 206 */
  if ( !REF(20).value.boolean ) goto c206;
/* boolean 20 , FALSE */
  REF(20).value.boolean = FALSE;
  REF(20).tsdr = & dr_boolean;
/* branch , 208 */
   goto c208;
c206:
/* ordenum_lit 44 , 44 */
  REF(44).value.ord_enum = 44;
  REF(44).tsdr = & dr_ord_enumeration;
/* insert 4 44 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(44),FALSE,0)) != Normal)
     goto ch_raise_exception;
c208:
/* copy 45 43 */
  if((ch_returncode = cp_table(& ch_val, REF(43).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).value = ch_val;
  REF(45).tsdr = & dr_table;
/* initget 46 45 , 0,0 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(46),DEF(45),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c210:
/* get_or_goto 46 45 , 216 */
  if ((ch_returncode = get_selected_object(DEF(46),DEF(45),sched)) != Normal)
     goto c216;
  current->ip = 25;
cb211:
/* call 3.0.4 3.0 46 47 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(4),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(46),
          arguments[3] = DEF(47),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c212:
/* merge 4 47 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(47),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 48 , 32 */
  REF(48).value.ord_enum = 32;
  REF(48).tsdr = & dr_ord_enumeration;
/* insert 4 48 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(48),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 210 */
   goto c210;
c216:
/* endget 46 45 */
  end_selector(DEF(46),DEF(45),sched,GET);
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* branch , 201 */
   goto c201;
c219:
/* endget 43 42 */
  end_selector(DEF(43),DEF(42),sched,GET);
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* ordenum_lit 49 , 41 */
  REF(49).value.ord_enum = 41;
  REF(49).tsdr = & dr_ord_enumeration;
/* insert 4 49 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(49),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 607 */
   goto c607;
c226:
/* reveal 3.1 , 11 */
  if (11 != REF(3)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* chs_lit 50 , "selectarms " */
  if( !chs_lit(DEF(50),"selectarms ") ) goto ch_depletion;
/* merge 4 50 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(50),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 51 3.1.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(1)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).value = ch_val;
  REF(51).tsdr = & dr_table;
/* initget 52 51 , 0,0 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(52),DEF(51),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c231:
/* get_or_goto 52 51 , 241 */
  if ((ch_returncode = get_selected_object(DEF(52),DEF(51),sched)) != Normal)
     goto c241;
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* copy 54 52 */
  if((ch_returncode = (REF(52).tsdr->copy)(& ch_val, REF(52).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).value = ch_val;
  REF(54).tsdr = datarepmap[REF(52).tsdr->number];
/* unite 53 54 , 2 */
  if ((ch_returncode = che_unite(DEF(53),DEF(54),sched,2)) != Normal)
     goto ch_raise_exception;
/* enum_lit 55 , 109 */
  REF(55).value.enumeration = 109;
  REF(55).tsdr = & dr_enumeration;
  current->ip = 31;
cb236:
/* call 3.0.5 3.0 53 55 3.3 56 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(5),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(53),
          arguments[3] = DEF(55),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(56),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c237:
/* merge 4 56 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(56),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 57 , 32 */
  REF(57).value.ord_enum = 32;
  REF(57).tsdr = & dr_ord_enumeration;
/* insert 4 57 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(57),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 231 */
   goto c231;
c241:
/* endget 52 51 */
  end_selector(DEF(52),DEF(51),sched,GET);
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* ordenum_lit 58 , 59 */
  REF(58).value.ord_enum = 59;
  REF(58).tsdr = & dr_ord_enumeration;
/* insert 4 58 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(58),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 607 */
   goto c607;
c246:
/* reveal 3.1 , 10 */
  if (10 != REF(3)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* chs_lit 59 , "exitid " */
  if( !chs_lit(DEF(59),"exitid ") ) goto ch_depletion;
/* merge 4 59 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(59),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* block , 7 */
  if((ch_returncode = che_block(QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* find 60 3.0.0.0 3.0.0.2 , 0 */
  if (findfunc(DEF(60),DEF(3)DOT(0)DOT(0)DOT(0),(
          arguments[0] = DEF(3)DOT(0)DOT(0)DOT(2),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* find 61 60.3 3.1.0 , 0 */
  if (findfunc(DEF(61),DEF(60)DOT(3),(
          arguments[0] = DEF(3)DOT(1)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 62 61.1 */
  if((ch_returncode = cp_table(& ch_val, REF(61)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).value = ch_val;
  REF(62).tsdr = & dr_table;
/* merge 4 62 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(62),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 607 */
   goto c607;
c256:
/* chs_lit 63 , "Exit not found." */
  if( !chs_lit(DEF(63),"Exit not found.") ) goto ch_depletion;
/* print 63 */
  re_print(stderr, 0, DEF(63)); fflush(stderr);
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* block , 8 */
  if((ch_returncode = che_block(QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* find 64 3.0.1.6 3.1.0 , 0 */
  if (findfunc(DEF(64),DEF(3)DOT(0)DOT(1)DOT(6),(
          arguments[0] = DEF(3)DOT(1)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 65 64.1 */
  if((ch_returncode = cp_table(& ch_val, REF(64)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).value = ch_val;
  REF(65).tsdr = & dr_table;
/* merge 4 65 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(65),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 607 */
   goto c607;
c265:
/* new_record 66 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).value = ch_val; REF(66).tsdr = & dr_record;
/* copy 66.0 3.1.0 */
  if((ch_returncode = (REF(3)DOT(1)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(66)DOT(0).tsdr)->finalize)(REF(66)DOT(0).value,F_DISCARD,sched);
  REF(66)DOT(0).value = ch_val;
  REF(66)DOT(0).tsdr = datarepmap[REF(3)DOT(1)DOT(0).tsdr->number];
/* copy 65 3.0.1.2 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(1)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).value = ch_val;
  REF(65).tsdr = & dr_table;
/* chs_lit 67 , "_exit" */
  if( !chs_lit(DEF(67),"_exit") ) goto ch_depletion;
/* merge 65 67 */
  if ((ch_returncode = mergefunc(DEF(65),DEF(67),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* size 68 3.0.1.6 */
  REF(68).value.integer = REF(3)DOT(0)DOT(1)DOT(6).value.table->size;
  REF(68).tsdr = & dr_integer;
  current->ip = 37;
cb271:
/* call 3.0.6 68 69 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(6),
          arguments[1] = DEF(68),
          arguments[2] = DEF(69),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c272:
/* merge 65 69 */
  if ((ch_returncode = mergefunc(DEF(65),DEF(69),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 66.1 65 */
  if((ch_returncode = cp_table(& ch_val, REF(65).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(66)DOT(1).tsdr)->finalize)(REF(66)DOT(1).value,F_DISCARD,sched);
  REF(66)DOT(1).value = ch_val;
  REF(66)DOT(1).tsdr = & dr_table;
/* insert 3.0.1.6 66 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(0)DOT(1)DOT(6),DEF(66)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* merge 4 65 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(65),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 607 */
   goto c607;
c277:
/* reveal 3.1 , 9 */
  if (9 != REF(3)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* chs_lit 70 , "handlers " */
  if( !chs_lit(DEF(70),"handlers ") ) goto ch_depletion;
/* merge 4 70 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(70),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* boolean 71 , TRUE */
  REF(71).value.boolean = TRUE;
  REF(71).tsdr = & dr_boolean;
/* copy 72 3.1.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(1)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).value = ch_val;
  REF(72).tsdr = & dr_table;
/* initget 73 72 , 0,0 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(73),DEF(72),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c284:
/* get_or_goto 73 72 , 409 */
  if ((ch_returncode = get_selected_object(DEF(73),DEF(72),sched)) != Normal)
     goto c409;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* branch_false 71 , 290 */
  if ( !REF(71).value.boolean ) goto c290;
/* boolean 71 , FALSE */
  REF(71).value.boolean = FALSE;
  REF(71).tsdr = & dr_boolean;
/* branch , 294 */
   goto c294;
c290:
/* ordenum_lit 75 , 32 */
  REF(75).value.ord_enum = 32;
  REF(75).tsdr = & dr_ord_enumeration;
/* insert 4 75 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(75),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 76 , 44 */
  REF(76).value.ord_enum = 44;
  REF(76).tsdr = & dr_ord_enumeration;
/* insert 4 76 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(76),FALSE,0)) != Normal)
     goto ch_raise_exception;
c294:
/* ord_case 77 73.0 */
  REF(77).value.ord_enum = REF(73)DOT(0).value.variant->info.variant_case;
  REF(77).tsdr = & dr_ord_enumeration;
/* equal . 77 =(3) , 305 */
  if ( REF(77).value.ord_enum == 3 ) goto c305;
/* equal . 77 =(2) , 309 */
  if ( REF(77).value.ord_enum == 2 ) goto c309;
/* equal . 77 =(1) , 316 */
  if ( REF(77).value.ord_enum == 1 ) goto c316;
/* equal . 77 =(0) , 323 */
  if ( REF(77).value.ord_enum == 0 ) goto c323;
/* branch , 396 */
   goto c396;
c305:
/* reveal 73.0 , 3 */
  if (3 != REF(73)DOT(0).value.variant->info.variant_case) goto ch_case_error;
/* chs_lit 78 , "others" */
  if( !chs_lit(DEF(78),"others") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c309:
/* reveal 73.0 , 2 */
  if (2 != REF(73)DOT(0).value.variant->info.variant_case) goto ch_case_error;
/* copy 79 73.0.0 */
  if((ch_returncode = (REF(73)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(73)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).value = ch_val;
  REF(79).tsdr = datarepmap[REF(73)DOT(0)DOT(0).tsdr->number];
/* unite 74 79 , 10 */
  if ((ch_returncode = che_unite(DEF(74),DEF(79),sched,10)) != Normal)
     goto ch_raise_exception;
/* enum_lit 80 , 109 */
  REF(80).value.enumeration = 109;
  REF(80).tsdr = & dr_enumeration;
  current->ip = 41;
cb313:
/* call 3.0.5 3.0 74 80 3.3 81 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(5),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(74),
          arguments[3] = DEF(80),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(81),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c314:
/* move 78 81 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78) = REF(81);
  REF(81).tsdr = & dr_bottom;
/* branch , 398 */
   goto c398;
c316:
/* reveal 73.0 , 1 */
  if (1 != REF(73)DOT(0).value.variant->info.variant_case) goto ch_case_error;
/* copy 82 73.0.0 */
  if((ch_returncode = (REF(73)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(73)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).value = ch_val;
  REF(82).tsdr = datarepmap[REF(73)DOT(0)DOT(0).tsdr->number];
/* unite 74 82 , 8 */
  if ((ch_returncode = che_unite(DEF(74),DEF(82),sched,8)) != Normal)
     goto ch_raise_exception;
/* enum_lit 83 , 114 */
  REF(83).value.enumeration = 114;
  REF(83).tsdr = & dr_enumeration;
  current->ip = 44;
cb320:
/* call 3.0.5 3.0 74 83 3.3 84 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(5),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(74),
          arguments[3] = DEF(83),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(84),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c321:
/* move 78 84 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78) = REF(84);
  REF(84).tsdr = & dr_bottom;
/* branch , 398 */
   goto c398;
c323:
/* reveal 73.0 , 0 */
  if (0 != REF(73)DOT(0).value.variant->info.variant_case) goto ch_case_error;
/* equal . 73.0.0 =(12) , 352 */
  if ( REF(73)DOT(0)DOT(0).value.ord_enum == 12 ) goto c352;
/* equal . 73.0.0 =(11) , 355 */
  if ( REF(73)DOT(0)DOT(0).value.ord_enum == 11 ) goto c355;
/* equal . 73.0.0 =(10) , 358 */
  if ( REF(73)DOT(0)DOT(0).value.ord_enum == 10 ) goto c358;
/* equal . 73.0.0 =(9) , 361 */
  if ( REF(73)DOT(0)DOT(0).value.ord_enum == 9 ) goto c361;
/* equal . 73.0.0 =(8) , 364 */
  if ( REF(73)DOT(0)DOT(0).value.ord_enum == 8 ) goto c364;
/* equal . 73.0.0 =(7) , 367 */
  if ( REF(73)DOT(0)DOT(0).value.ord_enum == 7 ) goto c367;
/* equal . 73.0.0 =(6) , 370 */
  if ( REF(73)DOT(0)DOT(0).value.ord_enum == 6 ) goto c370;
/* equal . 73.0.0 =(5) , 373 */
  if ( REF(73)DOT(0)DOT(0).value.ord_enum == 5 ) goto c373;
/* equal . 73.0.0 =(4) , 376 */
  if ( REF(73)DOT(0)DOT(0).value.ord_enum == 4 ) goto c376;
/* equal . 73.0.0 =(3) , 379 */
  if ( REF(73)DOT(0)DOT(0).value.ord_enum == 3 ) goto c379;
/* equal . 73.0.0 =(2) , 382 */
  if ( REF(73)DOT(0)DOT(0).value.ord_enum == 2 ) goto c382;
/* equal . 73.0.0 =(1) , 385 */
  if ( REF(73)DOT(0)DOT(0).value.ord_enum == 1 ) goto c385;
/* equal . 73.0.0 =(0) , 388 */
  if ( REF(73)DOT(0)DOT(0).value.ord_enum == 0 ) goto c388;
/* branch , 391 */
   goto c391;
c352:
/* chs_lit 78 , "Uncopyable" */
  if( !chs_lit(DEF(78),"Uncopyable") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c355:
/* chs_lit 78 , "RangeError" */
  if( !chs_lit(DEF(78),"RangeError") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c358:
/* chs_lit 78 , "DefinitionError" */
  if( !chs_lit(DEF(78),"DefinitionError") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c361:
/* chs_lit 78 , "PolymorphMismatch" */
  if( !chs_lit(DEF(78),"PolymorphMismatch") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c364:
/* chs_lit 78 , "NotFound" */
  if( !chs_lit(DEF(78),"NotFound") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c367:
/* chs_lit 78 , "InterfaceMismatch" */
  if( !chs_lit(DEF(78),"InterfaceMismatch") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c370:
/* chs_lit 78 , "DuplicateKey" */
  if( !chs_lit(DEF(78),"DuplicateKey") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c373:
/* chs_lit 78 , "DivideByZero" */
  if( !chs_lit(DEF(78),"DivideByZero") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c376:
/* chs_lit 78 , "Disconnected" */
  if( !chs_lit(DEF(78),"Disconnected") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c379:
/* chs_lit 78 , "Depletion" */
  if( !chs_lit(DEF(78),"Depletion") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c382:
/* chs_lit 78 , "ConstraintFailure" */
  if( !chs_lit(DEF(78),"ConstraintFailure") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c385:
/* chs_lit 78 , "ConstraintError" */
  if( !chs_lit(DEF(78),"ConstraintError") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c388:
/* chs_lit 78 , "CaseError" */
  if( !chs_lit(DEF(78),"CaseError") ) goto ch_depletion;
/* branch , 398 */
   goto c398;
c391:
/* chs_lit 85 , "Unknown builtin exception" */
  if( !chs_lit(DEF(85),"Unknown builtin exception") ) goto ch_depletion;
/* print 85 */
  re_print(stderr, 0, DEF(85)); fflush(stderr);
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c396:
/* chs_lit 78 , "Unknown exception" */
  if( !chs_lit(DEF(78),"Unknown exception") ) goto ch_depletion;
c398:
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* merge 4 78 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(78),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 86 , 32 */
  REF(86).value.ord_enum = 32;
  REF(86).tsdr = & dr_ord_enumeration;
/* insert 4 86 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(86),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 87 73.1 */
  if((ch_returncode = (REF(73)DOT(1).tsdr->copy)(& ch_val, REF(73)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87).value = ch_val;
  REF(87).tsdr = datarepmap[REF(73)DOT(1).tsdr->number];
/* unite 74 87 , 2 */
  if ((ch_returncode = che_unite(DEF(74),DEF(87),sched,2)) != Normal)
     goto ch_raise_exception;
/* enum_lit 88 , 109 */
  REF(88).value.enumeration = 109;
  REF(88).tsdr = & dr_enumeration;
  current->ip = 49;
cb406:
/* call 3.0.5 3.0 74 88 3.3 89 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(5),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(74),
          arguments[3] = DEF(88),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(89),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c407:
/* merge 4 89 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(89),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 284 */
   goto c284;
c409:
/* endget 73 72 */
  end_selector(DEF(73),DEF(72),sched,GET);
/* discard 72 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).tsdr = & dr_bottom;
/* ordenum_lit 90 , 59 */
  REF(90).value.ord_enum = 59;
  REF(90).tsdr = & dr_ord_enumeration;
/* insert 4 90 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(90),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 607 */
   goto c607;
c414:
/* noop */
  
/* equal . 3.2 =(114) , 420 */
  if ( REF(3)DOT(2).value.enumeration == 114 ) goto c420;
/* chs_lit 91 , "typeid " */
  if( !chs_lit(DEF(91),"typeid ") ) goto ch_depletion;
/* merge 4 91 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(91),FALSE,0)) != Normal)
     goto ch_raise_exception;
c420:
/* reveal 3.1 , 14 */
  if (14 != REF(3)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* block , 9 */
  if((ch_returncode = che_block(QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
/* find 92 3.0.0.1 3.1.0.0 , 0 */
  if (findfunc(DEF(92),DEF(3)DOT(0)DOT(0)DOT(1),(
          arguments[0] = DEF(3)DOT(1)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 93 92.1 */
  if((ch_returncode = cp_table(& ch_val, REF(92)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).value = ch_val;
  REF(93).tsdr = & dr_table;
/* merge 4 93 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(93),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 94 , 33 */
  REF(94).value.ord_enum = 33;
  REF(94).tsdr = & dr_ord_enumeration;
/* insert 4 94 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(94),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* find 95 92.2 3.1.0.1 , 0 */
  if (findfunc(DEF(95),DEF(92)DOT(2),(
          arguments[0] = DEF(3)DOT(1)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 96 95.1 */
  if((ch_returncode = cp_table(& ch_val, REF(95)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).value = ch_val;
  REF(96).tsdr = & dr_table;
/* merge 4 96 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(96),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 607 */
   goto c607;
c432:
/* chs_lit 97 , "Typename not found." */
  if( !chs_lit(DEF(97),"Typename not found.") ) goto ch_depletion;
/* print 97 */
  re_print(stderr, 0, DEF(97)); fflush(stderr);
/* discard 97 */
  (*(REF(97).tsdr)->finalize)(REF(97).value,F_DISCARD,sched);
  REF(97).tsdr = & dr_bottom;
/* branch , 607 */
   goto c607;
c436:
/* reveal 3.1 , 8 */
  if (8 != REF(3)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* notequal . 3.2 =(114) , 441 */
  if ( REF(3)DOT(2).value.enumeration != 114 ) goto c441;
/* branch , 443 */
   goto c443;
c441:
/* chs_lit 98 , "exception " */
  if( !chs_lit(DEF(98),"exception ") ) goto ch_depletion;
/* merge 4 98 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(98),FALSE,0)) != Normal)
     goto ch_raise_exception;
c443:
/* block , 10 */
  if((ch_returncode = che_block(QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
/* copy 99 3.1.0.0 */
  if((ch_returncode = (REF(3)DOT(1)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).value = ch_val;
  REF(99).tsdr = datarepmap[REF(3)DOT(1)DOT(0)DOT(0).tsdr->number];
/* unite 100 99 , 14 */
  if ((ch_returncode = che_unite(DEF(100),DEF(99),sched,14)) != Normal)
     goto ch_raise_exception;
/* enum_lit 101 , 114 */
  REF(101).value.enumeration = 114;
  REF(101).tsdr = & dr_enumeration;
  current->ip = 55;
cb447:
/* call 3.0.5 3.0 100 101 3.3 102 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(5),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(100),
          arguments[3] = DEF(101),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(102),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c448:
/* merge 4 102 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(102),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 103 , 46 */
  REF(103).value.ord_enum = 46;
  REF(103).tsdr = & dr_ord_enumeration;
/* insert 4 103 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(103),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* find 104 3.0.0.1 3.1.0.0.0 , 0 */
  if (findfunc(DEF(104),DEF(3)DOT(0)DOT(0)DOT(1),(
          arguments[0] = DEF(3)DOT(1)DOT(0)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* find 105 104.5 3.1.0.0.1 3.1.0.1 , 0 */
  if (findfunc(DEF(105),DEF(104)DOT(5),(
          arguments[0] = DEF(3)DOT(1)DOT(0)DOT(0)DOT(1),
          arguments[1] = DEF(3)DOT(1)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 106 105.2 */
  if((ch_returncode = cp_table(& ch_val, REF(105)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(106).tsdr)->finalize)(REF(106).value,F_DISCARD,sched);
  REF(106).value = ch_val;
  REF(106).tsdr = & dr_table;
/* merge 4 106 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(106),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 607 */
   goto c607;
c457:
/* chs_lit 107 , "Exception not found." */
  if( !chs_lit(DEF(107),"Exception not found.") ) goto ch_depletion;
/* print 107 */
  re_print(stderr, 0, DEF(107)); fflush(stderr);
/* discard 107 */
  (*(REF(107).tsdr)->finalize)(REF(107).value,F_DISCARD,sched);
  REF(107).tsdr = & dr_bottom;
/* branch , 607 */
   goto c607;
c461:
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c463:
/* reveal 3.1 , 13 */
  if (13 != REF(3)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* find 108 3.3 3.1.0 , 0 */
  if (findfunc(DEF(108),DEF(3)DOT(3),(
          arguments[0] = DEF(3)DOT(1)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* chs_lit 109 , "process " */
  if( !chs_lit(DEF(109),"process ") ) goto ch_depletion;
/* concat 110 109 108.1 */
  if ((ch_returncode = che_concat(DEF(110),DEF(109),DEF(108)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 109 */
  (*(REF(109).tsdr)->finalize)(REF(109).value,F_DISCARD,sched);
  REF(109).tsdr = & dr_bottom;
/* move 4 110 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4) = REF(110);
  REF(110).tsdr = & dr_bottom;
/* branch , 607 */
   goto c607;
c470:
/* reveal 3.1 , 6 */
  if (6 != REF(3)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* chs_lit 111 , "wrapper " */
  if( !chs_lit(DEF(111),"wrapper ") ) goto ch_depletion;
/* merge 4 111 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(111),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 112 3.1.0.0 */
  if((ch_returncode = (REF(3)DOT(1)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(112).tsdr)->finalize)(REF(112).value,F_DISCARD,sched);
  REF(112).value = ch_val;
  REF(112).tsdr = datarepmap[REF(3)DOT(1)DOT(0)DOT(0).tsdr->number];
/* unite 113 112 , 14 */
  if ((ch_returncode = che_unite(DEF(113),DEF(112),sched,14)) != Normal)
     goto ch_raise_exception;
/* enum_lit 114 , 114 */
  REF(114).value.enumeration = 114;
  REF(114).tsdr = & dr_enumeration;
  current->ip = 61;
cb476:
/* call 3.0.5 3.0 113 114 3.3 115 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(5),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(113),
          arguments[3] = DEF(114),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(115),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c477:
/* merge 4 115 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(115),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 116 , ", emptyts" */
  if( !chs_lit(DEF(116),", emptyts") ) goto ch_depletion;
/* merge 4 116 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(116),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 607 */
   goto c607;
c481:
/* reveal 3.1 , 5 */
  if (5 != REF(3)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* equal . 3.2 =(72) , 488 */
  if ( REF(3)DOT(2).value.enumeration == 72 ) goto c488;
/* equal . 3.2 =(45) , 493 */
  if ( REF(3)DOT(2).value.enumeration == 45 ) goto c493;
/* branch , 498 */
   goto c498;
c488:
/* boolean 117 , FALSE */
  REF(117).value.boolean = FALSE;
  REF(117).tsdr = & dr_boolean;
/* boolean 118 , TRUE */
  REF(118).value.boolean = TRUE;
  REF(118).tsdr = & dr_boolean;
/* branch , 502 */
   goto c502;
c493:
/* boolean 117 , TRUE */
  REF(117).value.boolean = TRUE;
  REF(117).tsdr = & dr_boolean;
/* boolean 118 , FALSE */
  REF(118).value.boolean = FALSE;
  REF(118).tsdr = & dr_boolean;
/* branch , 502 */
   goto c502;
c498:
/* boolean 117 , FALSE */
  REF(117).value.boolean = FALSE;
  REF(117).tsdr = & dr_boolean;
/* boolean 118 , FALSE */
  REF(118).value.boolean = FALSE;
  REF(118).tsdr = & dr_boolean;
c502:
/* chs_lit 119 , "pair " */
  if( !chs_lit(DEF(119),"pair ") ) goto ch_depletion;
/* merge 4 119 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(119),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch_false 117 , 511 */
  if ( !REF(117).value.boolean ) goto c511;
/* copy 120 3.1.0.0 */
  if((ch_returncode = (REF(3)DOT(1)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(120).tsdr)->finalize)(REF(120).value,F_DISCARD,sched);
  REF(120).value = ch_val;
  REF(120).tsdr = datarepmap[REF(3)DOT(1)DOT(0)DOT(0).tsdr->number];
/* unite 121 120 , 2 */
  if ((ch_returncode = che_unite(DEF(121),DEF(120),sched,2)) != Normal)
     goto ch_raise_exception;
/* enum_lit 122 , 109 */
  REF(122).value.enumeration = 109;
  REF(122).tsdr = & dr_enumeration;
  current->ip = 64;
cb508:
/* call 3.0.5 3.0 121 122 3.3 123 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(5),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(121),
          arguments[3] = DEF(122),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(123),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c509:
/* merge 4 123 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(123),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 513 */
   goto c513;
c511:
  current->ip = 66;
cb511:
/* call 3.0.6 3.1.0.0 124 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(6),
          arguments[1] = DEF(3)DOT(1)DOT(0)DOT(0),
          arguments[2] = DEF(124),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c512:
/* merge 4 124 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(124),FALSE,0)) != Normal)
     goto ch_raise_exception;
c513:
/* discard 121 */
  (*(REF(121).tsdr)->finalize)(REF(121).value,F_DISCARD,sched);
  REF(121).tsdr = & dr_bottom;
/* ordenum_lit 125 , 32 */
  REF(125).value.ord_enum = 32;
  REF(125).tsdr = & dr_ord_enumeration;
/* insert 4 125 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(125),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch_false 118 , 523 */
  if ( !REF(118).value.boolean ) goto c523;
/* copy 126 3.1.0.1 */
  if((ch_returncode = (REF(3)DOT(1)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(0)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(126).tsdr)->finalize)(REF(126).value,F_DISCARD,sched);
  REF(126).value = ch_val;
  REF(126).tsdr = datarepmap[REF(3)DOT(1)DOT(0)DOT(1).tsdr->number];
/* unite 121 126 , 2 */
  if ((ch_returncode = che_unite(DEF(121),DEF(126),sched,2)) != Normal)
     goto ch_raise_exception;
/* enum_lit 127 , 109 */
  REF(127).value.enumeration = 109;
  REF(127).tsdr = & dr_enumeration;
  current->ip = 69;
cb520:
/* call 3.0.5 3.0 121 127 3.3 128 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(5),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(121),
          arguments[3] = DEF(127),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(128),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c521:
/* merge 4 128 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(128),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 525 */
   goto c525;
c523:
  current->ip = 71;
cb523:
/* call 3.0.6 3.1.0.1 129 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(6),
          arguments[1] = DEF(3)DOT(1)DOT(0)DOT(1),
          arguments[2] = DEF(129),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c524:
/* merge 4 129 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(129),FALSE,0)) != Normal)
     goto ch_raise_exception;
c525:
/* discard 121 */
  (*(REF(121).tsdr)->finalize)(REF(121).value,F_DISCARD,sched);
  REF(121).tsdr = & dr_bottom;
/* branch , 607 */
   goto c607;
c527:
/* reveal 3.1 , 4 */
  if (4 != REF(3)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* ordenum_lit 130 , 34 */
  REF(130).value.ord_enum = 34;
  REF(130).tsdr = & dr_ord_enumeration;
/* insert 4 130 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(130),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 131 3.1.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(1)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(131).tsdr)->finalize)(REF(131).value,F_DISCARD,sched);
  REF(131).value = ch_val;
  REF(131).tsdr = & dr_table;
/* initget 132 131 , 0,0 */
  (*(REF(132).tsdr)->finalize)(REF(132).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(132),DEF(131),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c532:
/* get_or_goto 132 131 , 542 */
  if ((ch_returncode = get_selected_object(DEF(132),DEF(131)
    ,sched)) != Normal) goto c542;
/* notequal . 132 =(34) , 539 */
  if ( REF(132).value.ord_enum != 34 ) goto c539;
/* ordenum_lit 133 , 34 */
  REF(133).value.ord_enum = 34;
  REF(133).tsdr = & dr_ord_enumeration;
/* insert 4 133 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(133),FALSE,0)) != Normal)
     goto ch_raise_exception;
c539:
/* copy 134 132 */
  REF(134) = REF(132);
/* insert 4 134 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(134),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 532 */
   goto c532;
c542:
/* endget 132 131 */
  end_selector(DEF(132),DEF(131),sched,GET);
/* discard 131 */
  (*(REF(131).tsdr)->finalize)(REF(131).value,F_DISCARD,sched);
  REF(131).tsdr = & dr_bottom;
/* ordenum_lit 135 , 34 */
  REF(135).value.ord_enum = 34;
  REF(135).tsdr = & dr_ord_enumeration;
/* insert 4 135 */
  if ((ch_returncode = insertfunc(DEF(4),DEF(135),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 607 */
   goto c607;
c547:
/* chs_lit 136 , "real qualifiers are unsupported." */
  if( !chs_lit(DEF(136),"real qualifiers are unsupported.") )
     goto ch_depletion;
/* print 136 */
  re_print(stderr, 0, DEF(136)); fflush(stderr);
/* discard 136 */
  (*(REF(136).tsdr)->finalize)(REF(136).value,F_DISCARD,sched);
  REF(136).tsdr = & dr_bottom;
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c552:
/* reveal 3.1 , 2 */
  if (2 != REF(3)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* equal . 3.2 =(111) , 565 */
  if ( REF(3)DOT(2).value.enumeration == 111 ) goto c565;
/* equal . 3.2 =(110) , 568 */
  if ( REF(3)DOT(2).value.enumeration == 110 ) goto c568;
/* equal . 3.2 =(109) , 571 */
  if ( REF(3)DOT(2).value.enumeration == 109 ) goto c571;
/* equal . 3.2 =(76) , 574 */
  if ( REF(3)DOT(2).value.enumeration == 76 ) goto c574;
/* equal . 3.2 =(60) , 577 */
  if ( REF(3)DOT(2).value.enumeration == 60 ) goto c577;
/* branch , 580 */
   goto c580;
c565:
/* boolean 137 , TRUE */
  REF(137).value.boolean = TRUE;
  REF(137).tsdr = & dr_boolean;
/* branch , 582 */
   goto c582;
c568:
/* boolean 137 , TRUE */
  REF(137).value.boolean = TRUE;
  REF(137).tsdr = & dr_boolean;
/* branch , 582 */
   goto c582;
c571:
/* boolean 137 , TRUE */
  REF(137).value.boolean = TRUE;
  REF(137).tsdr = & dr_boolean;
/* branch , 582 */
   goto c582;
c574:
/* boolean 137 , TRUE */
  REF(137).value.boolean = TRUE;
  REF(137).tsdr = & dr_boolean;
/* branch , 582 */
   goto c582;
c577:
/* boolean 137 , TRUE */
  REF(137).value.boolean = TRUE;
  REF(137).tsdr = & dr_boolean;
/* branch , 582 */
   goto c582;
c580:
/* boolean 137 , FALSE */
  REF(137).value.boolean = FALSE;
  REF(137).tsdr = & dr_boolean;
c582:
/* branch_false 137 , 591 */
  if ( !REF(137).value.boolean ) goto c591;
/* block , 11 */
  if((ch_returncode = che_block(QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* copy 138 3.1.0 */
  if((ch_returncode = (REF(3)DOT(1)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(138).tsdr)->finalize)(REF(138).value,F_DISCARD,sched);
  REF(138).value = ch_val;
  REF(138).tsdr = datarepmap[REF(3)DOT(1)DOT(0).tsdr->number];
/* insert 3.0.1.7 138 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(0)DOT(1)DOT(7),DEF(138)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c588:
/* copy 139 3.0.1.2 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(1)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(139).tsdr)->finalize)(REF(139).value,F_DISCARD,sched);
  REF(139).value = ch_val;
  REF(139).tsdr = & dr_table;
/* merge 4 139 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(139),FALSE,0)) != Normal)
     goto ch_raise_exception;
c591:
  current->ip = 79;
cb591:
/* call 3.0.6 3.1.0 140 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(6),
          arguments[1] = DEF(3)DOT(1)DOT(0),
          arguments[2] = DEF(140),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c592:
/* merge 4 140 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(140),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 607 */
   goto c607;
c594:
/* reveal 3.1 , 1 */
  if (1 != REF(3)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* branch_false 3.1.0 , 599 */
  if ( !REF(3)DOT(1)DOT(0).value.boolean ) goto c599;
/* chs_lit 141 , "true" */
  if( !chs_lit(DEF(141),"true") ) goto ch_depletion;
/* merge 4 141 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(141),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 607 */
   goto c607;
c599:
/* chs_lit 142 , "false" */
  if( !chs_lit(DEF(142),"false") ) goto ch_depletion;
/* merge 4 142 */
  if ((ch_returncode = mergefunc(DEF(4),DEF(142),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 607 */
   goto c607;
c603:
/* chs_lit 143 , "unknown qualifier sent to disqualifier." */
  if( !chs_lit(DEF(143),"unknown qualifier sent to disqualifier.") )
     goto ch_depletion;
/* print 143 */
  re_print(stderr, 0, DEF(143)); fflush(stderr);
/* discard 143 */
  (*(REF(143).tsdr)->finalize)(REF(143).value,F_DISCARD,sched);
  REF(143).tsdr = & dr_bottom;
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c607:
/* discard 113 */
  (*(REF(113).tsdr)->finalize)(REF(113).value,F_DISCARD,sched);
  REF(113).tsdr = & dr_bottom;
/* discard 100 */
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  REF(100).tsdr = & dr_bottom;
/* move 3.4 4 */
  (*(REF(3)DOT(4).tsdr)->finalize)(REF(3)DOT(4).value,F_DISCARD,sched);
  REF(3)DOT(4) = REF(4);
  REF(4).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 640 */
   goto c640;
c614:
/* discard 121 */
  (*(REF(121).tsdr)->finalize)(REF(121).value,F_DISCARD,sched);
  REF(121).tsdr = & dr_bottom;
/* discard 113 */
  (*(REF(113).tsdr)->finalize)(REF(113).value,F_DISCARD,sched);
  REF(113).tsdr = & dr_bottom;
/* discard 100 */
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  REF(100).tsdr = & dr_bottom;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* return_exception 3 , 12 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(12),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(12));
  REF(3).tsdr = & dr_bottom;
/* branch , 640 */
   goto c640;
c622:
/* discard 121 */
  (*(REF(121).tsdr)->finalize)(REF(121).value,F_DISCARD,sched);
  REF(121).tsdr = & dr_bottom;
/* discard 113 */
  (*(REF(113).tsdr)->finalize)(REF(113).value,F_DISCARD,sched);
  REF(113).tsdr = & dr_bottom;
/* discard 100 */
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  REF(100).tsdr = & dr_bottom;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* return_exception 3 , 12 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(12),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(12));
  REF(3).tsdr = & dr_bottom;
/* branch , 640 */
   goto c640;
c630:
/* discard 121 */
  (*(REF(121).tsdr)->finalize)(REF(121).value,F_DISCARD,sched);
  REF(121).tsdr = & dr_bottom;
/* discard 113 */
  (*(REF(113).tsdr)->finalize)(REF(113).value,F_DISCARD,sched);
  REF(113).tsdr = & dr_bottom;
/* discard 100 */
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  REF(100).tsdr = & dr_bottom;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* return_exception 3 , 12 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(12),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(12));
  REF(3).tsdr = & dr_bottom;
/* branch , 640 */
   goto c640;
c639:
/* return_exception 3 , 12 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(12),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(12));
  REF(3).tsdr = & dr_bottom;
c640:
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c643:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
